#include<bits/stdc++.h>
#define int long long
using namespace std;
void gogo() {
    int n, m;
    cin >> n >> m;
    int a[m];
    for (int i = 0; i < m; i++) {
        cin >> a[i];
    }
    // reverse(a, a + m);
    int res = 0;
    for (int i = 1; i + 1 < (1 << m); i++) {
        int x = 0, y = 0;
        for (int j = 0; j < m; j++) {
            if ((i >> j) & 1) {
                x = a[j] - x;
            } else {
                y = a[j] - y;
            }
        }
        res = max(res, x + y);
    }
    cout << res << endl;
}
main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int t = 1;
    cin >> t;
    while (t--) {
        gogo();
    }
}
